REBOL [
  Title:  "OSR/miasta" 
  Version: 1.3.1
  Date:    2005-02-25
  Author: "Piotr Gapinski"
  Email:  {news [at] rowery! olsztyn.pl}
  File:   %miasta.r
  Info: {
    Program upraszczajacy zbieranie informacji o miastach (na potrzeby OSR).
    Olsztynska Strona Rowerowa http://www.rowery.olsztyn.pl/
    PROGRAM NA LICENCJI GPL (w wersji II)
  }
]

do %osr/osr-author.r

if none? attempt [
  set [user-name user-email] param-author
][
  alert "Brak informacji o uzytkowniku!"
  quit
]

do %osr/osr-gui.r

window: layout [
  ; glowne okienko programu
  ;
  styles osr-look-feel
  origin 2x2 space 2x2 
  vh2 "OSR/miasta" guide 
  b-city b-info b-tip b-param
  pad 30
  b-load b-clear b-save
  pad 58
  b-about b-quit pad 0x2 return
  box 2x300 maroon return
  panels: box 450x300
] 

panels/pane: last gui-panels
view/title window reform [system/script/header/title system/script/header/version]
quit
