REBOL [
  Title:  "OSR/miasta" 
  Version: 1.3.1
  Date:    2005-02-25
  Author: "Piotr Gapinski"
  Email:  {news [at] rowery! olsztyn.pl}
  File:   %author.r
  Info: {
    Program upraszczajacy zbieranie informacji o miastach (na potrzeby OSR).
    Olsztynska Strona Rowerowa http://www.rowery.olsztyn.pl/
    PROGRAM NA LICENCJI GPL (w wersji II)
  }
]

osr-author-ctx: context [
  file: %autor.txt
  info-window: layout [
    txt 300 {
      Witaj! Po raz pierwszy uruchomiles program OSR/miasta.
      Do poprawnego dzialania programu potrzebne sa informacje o autorze opisow.
      Wprowadz prosze odpowiednie dane - beda one zapisane w pliku "autor.txt"
    }
    across
    lab 100 "Imie i nazwisko: " autor: field return
    lab 100 "Email:" email: field return
    lab 100 "" button "OK" [
      any [
        none? all [not empty? email/text not empty? autor/text] ;; [alert "Prosze wprowadzic poprawne dane!"]
        attempt [
          save file reduce [autor/text email/text]
          unview info-window
        ]
      ]
    ]
  ]
  set 'param-author does [
    attempt [
      any [
        exists? file 
        view info-window attempt
      ]
      load file
    ]
  ]
]
